# Generated by Django 4.2.16 on 2024-10-22 21:26

from django.db import migrations, models
import django_extensions.db.fields
import taggit.managers
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("scrobbles", "0065_alter_scrobble_log"),
    ]

    operations = [
        migrations.CreateModel(
            name="BeerProducer",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                ("description", models.TextField(blank=True, null=True)),
                (
                    "location",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
            ],
            options={
                "get_latest_by": "modified",
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Beer",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                (
                    "uuid",
                    models.UUIDField(
                        blank=True,
                        default=uuid.uuid4,
                        editable=False,
                        null=True,
                    ),
                ),
                (
                    "title",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                (
                    "run_time_seconds",
                    models.IntegerField(blank=True, null=True),
                ),
                (
                    "run_time_ticks",
                    models.PositiveBigIntegerField(blank=True, null=True),
                ),
                ("description", models.TextField(blank=True, null=True)),
                ("ibu", models.SmallIntegerField(blank=True, null=True)),
                ("abv", models.FloatField(blank=True, null=True)),
                (
                    "style",
                    models.CharField(blank=True, max_length=100, null=True),
                ),
                ("non_alcoholic", models.BooleanField(default=False)),
                (
                    "beeradvocate_id",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                (
                    "beeradvocate_score",
                    models.SmallIntegerField(blank=True, null=True),
                ),
                (
                    "untappd_id",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                (
                    "genre",
                    taggit.managers.TaggableManager(
                        blank=True,
                        help_text="A comma-separated list of tags.",
                        through="scrobbles.ObjectWithGenres",
                        to="scrobbles.Genre",
                        verbose_name="Tags",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
