# Generated by Django 4.2.15 on 2024-09-07 05:38

from django.db import migrations, models
import django_extensions.db.fields
import taggit.managers
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("scrobbles", "0059_remove_scrobble_book_koreader_hash_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="BrickSet",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                (
                    "uuid",
                    models.UUIDField(
                        blank=True,
                        default=uuid.uuid4,
                        editable=False,
                        null=True,
                    ),
                ),
                (
                    "title",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                (
                    "run_time_seconds",
                    models.IntegerField(blank=True, null=True),
                ),
                (
                    "run_time_ticks",
                    models.PositiveBigIntegerField(blank=True, null=True),
                ),
                (
                    "number",
                    models.CharField(blank=True, max_length=10, null=True),
                ),
                ("release_year", models.IntegerField(blank=True, null=True)),
                ("piece_count", models.IntegerField(blank=True, null=True)),
                (
                    "brickset_rating",
                    models.DecimalField(
                        blank=True, decimal_places=1, max_digits=3, null=True
                    ),
                ),
                (
                    "lego_item_number",
                    models.CharField(blank=True, max_length=10, null=True),
                ),
                (
                    "box_image",
                    models.ImageField(
                        blank=True, null=True, upload_to="brickset/boxes/"
                    ),
                ),
                (
                    "set_image",
                    models.ImageField(
                        blank=True, null=True, upload_to="brickset/sets/"
                    ),
                ),
                (
                    "genre",
                    taggit.managers.TaggableManager(
                        blank=True,
                        help_text="A comma-separated list of tags.",
                        through="scrobbles.ObjectWithGenres",
                        to="scrobbles.Genre",
                        verbose_name="Tags",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
