# Generated by Django 4.1.5 on 2023-03-05 18:58

from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ("videogames", "0002_videogame_release_date"),
    ]

    operations = [
        migrations.CreateModel(
            name="VideoGamePlatform",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    django_extensions.db.fields.CreationDateTimeField(
                        auto_now_add=True, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    django_extensions.db.fields.ModificationDateTimeField(
                        auto_now=True, verbose_name="modified"
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                (
                    "uuid",
                    models.UUIDField(
                        blank=True,
                        default=uuid.uuid4,
                        editable=False,
                        null=True,
                    ),
                ),
                (
                    "logo",
                    models.ImageField(
                        blank=True,
                        null=True,
                        upload_to="games/platform-logos/",
                    ),
                ),
                ("igdb_id", models.IntegerField(blank=True, null=True)),
            ],
            options={
                "get_latest_by": "modified",
                "abstract": False,
            },
        ),
        migrations.AddField(
            model_name="videogame",
            name="completionist_time",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="videogame",
            name="hltb_cover",
            field=models.ImageField(
                blank=True, null=True, upload_to="games/hltb_covers/"
            ),
        ),
        migrations.AddField(
            model_name="videogame",
            name="hltb_id",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="videogame",
            name="hltb_score",
            field=models.FloatField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="videogame",
            name="main_extra_time",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="videogame",
            name="main_story_time",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="videogame",
            name="release_year",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name="videogame",
            name="screenshot",
            field=models.ImageField(
                blank=True, null=True, upload_to="games/screenshots/"
            ),
        ),
        migrations.AddField(
            model_name="videogame",
            name="platform",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="videogames.videogameplatform",
            ),
        ),
    ]
